import { createApp } from 'vue'
import router from "./router"
import axios from "axios"
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import './style.css'
import 'default-passive-events'
import App from './App.vue'

const app = createApp(App)
app.use(router)
app.use(ElementPlus,{locale: zhCn})
app.mount('#app')
