import service from "./index"

// 新建示例
// export const getmapinfo = (data)=>{
//     return service({
//         method:"POST",
//         url:"/api/audit/getmapinfo",
//         data
//     })
// }

// 使用示例
// import { getmapinfo } from "@/request/api"

// function api_getmapinfo() {
//     getmapinfo({
//         type: 1
//     }).then((res) => {
//         data.info = res.content
//     })
// }

// onMounted(() => {
//     api_getmapinfo()
// })

// 风险作业数量统计
export const main_home = (data)=>{
    return service({
        method:"POST",
        url:"/task_xixuan/main_home_v2",
        data
    })
}

// 风险作业占比
export const risk_work_percent = (data)=>{
    return service({
        method:"POST",
        url:"/task_xixuan/risk_work_percent_v2",
        data
    })
}

// 片区占比
export const area_percent = (data)=>{
    return service({
        method:"POST",
        url:"/task_xixuan/area_percent_v2",
        data
    })
}

// 时间段作业量统计-叠状图
export const time_work_count = (data)=>{
    return service({
        method:"POST",
        url:"/task_xixuan/time_work_count_v2",
        data
    })
}

// 时间段片区统计
export const time_area_total = (data)=>{
    return service({
        method:"POST",
        url:"/task_xixuan/time_area_total_v2",
        data
    })
}

// 洗煤厂统计
export const coal_washery_total = (data)=>{
    return service({
        method:"POST",
        url:"/task_xixuan/coal_washery_total_v2",
        data
    })
}

// 风险作业列表
export const risk_work_list = (data)=>{
    return service({
        method:"POST",
        url:"/task_xixuan/risk_work_list_v2",
        data
    })
}

// 风险作业详情
export const risk_work_detail = (data)=>{
    return service({
        method:"POST",
        url:"/task_xixuan/risk_work_detail_v2",
        data
    })
}

// map
export const map_data = (data)=>{
    return service({
        method:"POST",
        url:"/task_xixuan/map_data_v2",
        data
    })
}