import { createMemoryHistory, createRouter } from 'vue-router'

const routes = [
  {
    path: '/',
    redirect: "/index"
  },
  {
    path: "/index",
    component: () => import("../views/index.vue"),
    children: [
      {
        path: "/index",
        component: () => import("../views/index/index.vue")
      }
    ]
  }
]

const router = createRouter({
  history: createMemoryHistory(),
  routes,
})

router.beforeEach((to, from, next) => {

  next()

})

export default router